Bug 22806 - New test to verify that cached page with a timer releases JS references on cache purge
Summary: New test to verify that cached page with a timer releases JS references on ca...
Status: RESOLVED LATER
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Dmitry Titov
URL:
Keywords:
Depends on: 20534
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 00:55 PST by Dmitry Titov
Modified: 2009-02-04 20:44 PST (History)
2 users (show)

See Also:


Attachments
Proposed patch (5.44 KB, patch)
2008-12-11 01:01 PST, Dmitry Titov
no flags Details | Formatted Diff | Diff
patch v2 (5.36 KB, patch)
2008-12-11 18:40 PST, Dmitry Titov
darin: review+
Details | Formatted Diff | Diff
Revert the landing (5.34 KB, patch)
2009-02-04 18:27 PST, Dmitry Titov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Titov 2008-12-11 00:55:02 PST
This is a test for bug 22753. It needs the patch for the bug 20534 to be landed to enable page cache in DumpRenderTree.
Comment 1 Dmitry Titov 2008-12-11 01:01:16 PST
Created attachment 25943 [details]
Proposed patch

Not r? yet because it waits for enabling patch for bug 20534 to be landed.
Comment 2 Dmitry Titov 2008-12-11 14:19:47 PST
Comment on attachment 25943 [details]
Proposed patch

The blocking change is in. Flipping the review bit after verifying the test.
Comment 3 Dmitry Titov 2008-12-11 15:44:08 PST
Comment on attachment 25943 [details]
Proposed patch

slightly updated patch on its way, removing r? for now.
Comment 4 Dmitry Titov 2008-12-11 18:40:24 PST
Created attachment 25972 [details]
patch v2

I've removed the printing of the getJSObjectCount output - due to unrelated changes, this can slightly change and make test fail :-)
Comment 5 Darin Adler 2008-12-12 10:11:37 PST
Comment on attachment 25972 [details]
patch v2

> \ No newline at end of file

> \ No newline at end of file

> \ No newline at end of file

We prefer to put newlines at the ends of files.

r=me
Comment 6 Dmitry Titov 2008-12-12 10:24:07 PST
The bug 20534 that enables DRT page cache was reverted and reopened. So this test won't run correctly if landed now. Please don't land for now.
Comment 7 Eric Seidel (no email) 2009-02-04 15:48:33 PST
Dimitri should soon have commit bit (just waiting for infos from teh Apple), but I'll commit this now anyway.
Comment 8 Eric Seidel (no email) 2009-02-04 15:56:56 PST
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	LayoutTests/ChangeLog
	A	LayoutTests/fast/dom/Window/cached-timeout-stopped-on-close-expected.txt
	A	LayoutTests/fast/dom/Window/cached-timeout-stopped-on-close.html
	A	LayoutTests/fast/dom/Window/resources/cached-timeout-page-1.html
	A	LayoutTests/fast/dom/Window/resources/cached-timeout-page-2.html
Committed r40639
Comment 9 Dmitry Titov 2009-02-04 18:20:00 PST
This test should not have been committed yet :-(
It depends on bug 20534 which is not yet landed.

Comment 10 Dmitry Titov 2009-02-04 18:27:52 PST
Created attachment 27338 [details]
Revert the landing

The revert patch.
Comment 11 Dmitry Titov 2009-02-04 20:43:06 PST
Resolving as LATER to remove it from the landing queue.
Comment 12 Dimitri Glazkov (Google) 2009-02-04 20:44:34 PST
Reverted in http://trac.webkit.org/changeset/40661.